UNIX account verification by other account fails after upgrade to 3.4 or 4.0

book

Article ID: 224957

calendar_today

Updated On:

Products

CA Privileged Access Manager (PAM)

Issue/Introduction

Many UNIX accounts that are configured to be updated and verified by another account fail password verification after the upgrade to 3.4 or 4.0. This causes many account to go into an Un-verified state when a Verify job runs for a large target group.

Cause

A fix in 3.4 to address another problem added a wait for a shell prompt and failed, if the shell prompt was not seen by the script processor, or failed to match the regular expression defined in the Verify script, which looked for a ">" or "$" character.

Environment

Release : 3.4.0 - 3.4.4, 4.0.0

Component : PRIVILEGED ACCESS MANAGEMENT

Resolution

This problem is fixed in 4.0.1. There is a fix in 3.4.5, but another change was added later on that will be included in 3.4.6.

If you are on an affected release and cannot upgrade yet, please open a case with PAM Support